# $Revision: 1.16 $, $Date: 2011/04/03 09:35:48 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		plugin	check_rbl
Summary:	Nagios plugin to check if an server is blacklisted in RBL servers
Name:		nagios-plugin-%{plugin}
Version:	1.2.2
Release:	1
License:	GPL
Group:		Networking
Source0:	https://trac.id.ethz.ch/projects/nagios_plugins/downloads/%{plugin}-%{version}.tar.gz
# Source0-md5:	d8d7003a310c165c4238a549b56cc388
Source1:	%{plugin}.cfg
Source2:	%{plugin}.ini
URL:		https://trac.id.ethz.ch/projects/nagios_plugins/wiki/check_rbl
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	perl-Nagios-Plugin
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-Parallel-Iterator
BuildRequires:	perl-Readonly
%endif
Requires:	nagios-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(utils)'

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Nagios plugin to check if an server is blacklisted in RBL servers.

%prep
%setup -q -n %{plugin}-%{version}

# https://trac.id.ethz.ch/projects/nagios_plugins/ticket/68
%{__sed} -i -e '
s/use version;\s*//
' %{plugin}

%build
%{__perl} Makefile.PL \
	INSTALLVENDORSCRIPT=%{plugindir} \
	INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.ini

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/check_rbl/.packlist
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/check_rbl.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes NEWS README INSTALL TODO VERSION
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.ini
%attr(755,root,root) %{plugindir}/%{plugin}
%{_mandir}/man1/check_rbl.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_rbl.spec,v $
Revision 1.16  2011/04/03 09:35:48  adamg
- updated to 1.2.2

Revision 1.15  2010/04/15 09:16:10  glen
- fix killing of $VERSION; rel 2

Revision 1.14  2010/04/09 08:44:19  glen
- up to 1.2.0

Revision 1.13  2010/04/09 07:05:42  glen
- mdns submitted too

Revision 1.12  2010/04/06 17:54:01  glen
- release 5

Revision 1.11  2010/04/06 17:53:45  glen
- apply patch after sed

Revision 1.10  2010/04/06 17:48:14  glen
- apply mdns.patch

Revision 1.9  2010/04/06 17:43:02  glen
- add mdns support (parallel DNS lookups instead of forking), performs a lot better
- also adds support of reporting timeouting dns servers, which do not affect check result

Revision 1.8  2010/04/06 17:29:11  glen
- report stuff upstream
- while RBL mostly used for SMTP, it's not limited to that

Revision 1.7  2010/02/04 13:25:07  glen
- fix typo; rel 3

Revision 1.6  2010/02/04 13:13:30  glen
- move the ini file usage to check_rbl command definition for easier overriding host address; rel 2

Revision 1.5  2010/02/03 12:46:35  glen
- release 1

Revision 1.4  2010/02/03 12:33:59  glen
- MM dep for INSTALLVENDORSCRIPT

Revision 1.3  2010/02/01 16:40:25  glen
- report hostname being checked in check result

Revision 1.2  2010/02/01 16:24:51  glen
- install plugin config

Revision 1.1  2010/02/01 15:58:41  glen
- new
